Gentoo Archives: gentoo-user

From: walt <w41ter@×××××.com>
To: gentoo-user@l.g.o
Subject: [gentoo-user] Re: Gnome 3.2.2 Block
Date: Fri, 02 Dec 2011 23:20:39
Message-Id: jbbmd3$erh$1@dough.gmane.org
In Reply to: [gentoo-user] Gnome 3.2.2 Block by Jason Weisberger
1 On 12/01/2011 06:13 PM, Jason Weisberger wrote:
2 > From a fresh install, upgrading from Gnome 2.26, I'm trying to install gnome 3.2.2, but getting nowhere fast.
3 > I stopped using Gentoo back before slots became common, so maybe I'm missing something as far as that goes.
4 >
5 > jbdubbspc jbdubbs # emerge -pv =gnome-base/gnome-3.2.1
6 >
7 > These are the packages that would be merged, in order:
8 >
9 > Calculating dependencies... done!
10 > [blocks b ] <gnome-base/gdm-2.91.94 ("<gnome-base/gdm-2.91.94" is blocking gnome-base/gnome-control-center-3.2.2)
11 > [blocks B ] <media-libs/clutter-1.7 ("<media-libs/clutter-1.7" is blocking media-libs/cogl-1.8.2)
12 > [blocks B ] <dev-python/pygobject-2.28.6-r50:2[introspection] ("<dev-python/pygobject-2.28.6-r50:2[introspection]" is blocking dev-python/pygobject-3.0.2)
13
14 Notice that gdm is blocked with a 'b' and the other two with a 'B'. That
15 means that portage is smart enough to fix the gdm conflict, but you must
16 fix the other two yourself. I've found that the quickest fix for the 'B'
17 blockers is just to remove them with emerge -C. So far I've not had any
18 problems with that approach.

Replies

Subject Author
Re: [gentoo-user] Gnome 3.2.2 Block Jason Weisberger <jbdubbs@×××××.com>